## geonkick 2.3.7

=== debian/changelog ===
geonkick (2.3.7-0ubuntu1) groovy; urgency=medium

  * New upstream version 2.3.7
  * Source now includes manpage, removed lintian-override

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 14 Sep 2020 08:37:21 -0700

geonkick (2.3.6-0ubuntu1) groovy; urgency=medium

  * Initial release for Ubuntu

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 16 Aug 2020 02:56:23 -0700

Old changelog:

geonkick (5:2.1.1-1kxstudio2) bionic; urgency=medium

  * Update

 -- falkTX <falktx@gmail.com>  Sun, 31 May 2020 07:35:38 +0100

geonkick (5:1.9.2-1kxstudio1) bionic; urgency=medium

  * Import, update and optimize

 -- falkTX <falktx@gmail.com>  Sun, 26 Jan 2020 19:41:03 +0000

geonkick (1.8.1-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - nouvelle version amont.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 11 Aug 2019 16:21:26 +0200

geonkick (1.8-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - nouvelle version amont.
  * debian/patches/build_fix.patch :
    - mise à jour de la rustine (avec dquilt).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sat, 10 Aug 2019 16:45:43 +0200

geonkick (1.6-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - nouvelle version amont.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 07 Jun 2019 14:13:27 +0200

geonkick (1.5.3-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - nouvelle version amont.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Mon, 03 Jun 2019 23:20:49 +0200

geonkick (1.5.1-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - nouvelle version amont.
  * debian/watch :
    - adaptation à la nouvelle adresse.
  * debian/control :
    - Homepage : adaptation à la nouvelle adresse.
    - passage à 2019.
    - dépendances de construction : mise à jour.
  * debian/copyright :
    - Source : adaptation à la nouvelle adresse.
    - passage à 2019.
  * debian/patches/1001-desktop_file_FR.patch :
    - suppression de la rustine (intégrée en amont).
  * debian/patches/1000-fix_install.patch :
    - suppression de la rustine (inutile à présent).
  * debian/patches/build_fix.patch :
    - création de la rustine (avec dquilt).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 21 May 2019 11:10:18 +0200

geonkick (0.0.0+20181223~git34425e6-0librazik1) stretch; urgency=medium

  * Reconstruction avec pbuilder pour LibraZiK-2.
    - à partir du git du jour.
  * debian/control :
    - suppression des commentaires.
  * debian/patches/1000-fix_install.patch :
    - mise à jour de la rustine (à la main).
  * debian/patches/1001-desktop_file_FR.patch :
    - création de la rustine (avec dquilt).
  * debian/patches/series :
    - ajout de la rustine "1001-desktop_file_FR.patch" (avec dquilt).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 23 Dec 2018 14:21:48 +0100

geonkick (0.0.0+20181218~git410e5dd-0librazik1) stretch; urgency=medium

  * Construction initiale avec pbuilder pour LibraZiK-2.
  * debian/patches/1000-fix_install.patch :
    - ajout de la rustine (avec dquilt).

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Tue, 18 Dec 2018 14:28:09 +0100
