=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/geonkick-$1\.tar\.gz/ \
  https://github.com/iurie-sw/geonkick/tags .*/release-?(\d\S*)\.tar\.gz
