=== debian/changelog ===
geonkick (2.3.8-0ubuntu1) groovy; urgency=medium

  * New upstream release
    - Fixes the looped continuous sound that is generated on some hosts
      (LV2 and VST3)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 22 Sep 2020 12:30:03 -0700
