## geonkick 2.5.0

=== debian/changelog ===
geonkick (2.5.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 2.5.0
    - sample browser with sample preview
    - save/restore the last visited path, also save UI visual state
    - loaded sample is amplified
    - pitch shift (+- 48 semitones) envelope for oscillator when it uses a
      sample
    - added sound level indication for kit mixer
    - UI updates, switch between envelopes is more easy, removed the envelopes
      menu
    - option to scale the UI by factor of 2 for so-called HiDPI cases
      (Left Ctrl + f)
    - shared worker between plugin instances
    - "Single" version of LV2 plugin (single instrument and single stereo
      channel)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Nov 2020 14:19:04 -0800
