## geonkick 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.7)
 
-project(geonkick VERSION 2.3.8)
+project(geonkick VERSION 2.6.0)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")
 include(GNUInstallDirs)
@@ -36,6 +36,8 @@
 endif ()
 
 set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_FLAGS "-Wall ${GKICK_OPTIMISATION_FLAGS} ${CMAKE_CXX_FLAGS} -fvisibility=hidden")
 set(CMAKE_C_FLAGS "-Wall ${GKICK_OPTIMISATION_FLAGS} ${CMAKE_C_FLAGS} -fvisibility=hidden")
 
@@ -83,13 +85,17 @@
 
 set(GKICK_COMMON_HEADERS
   ${GKICK_UTILS_DIR}/base64.h
+  ${GKICK_COMMON_DIR}/GeonkickConfig.h
+  ${GKICK_COMMON_DIR}/UiSettings.h
+  ${GKICK_COMMON_DIR}/ViewState.h
   ${GKICK_COMMON_DIR}/geonkick_slider.h
   ${GKICK_COMMON_DIR}/geonkick_button.h
+  ${GKICK_COMMON_DIR}/PathListModel.h
   ${GKICK_COMMON_DIR}/file_dialog.h
+  ${GKICK_COMMON_DIR}/SampleBrowser.h
   ${GKICK_COMMON_DIR}/filter.h
   ${GKICK_COMMON_DIR}/geonkick_groupbox.h
   ${GKICK_COMMON_DIR}/top_bar.h
-  ${GKICK_COMMON_DIR}/right_bar.h
   ${GKICK_COMMON_DIR}/control_area.h
   ${GKICK_COMMON_DIR}/controls_widget.h
   ${GKICK_COMMON_DIR}/percussion_model.h
@@ -105,6 +111,7 @@
   ${GKICK_COMMON_DIR}/layers_group_box.h
   ${GKICK_COMMON_DIR}/general_group_box.h
   ${GKICK_COMMON_DIR}/envelope.h
+  ${GKICK_COMMON_DIR}/BufferView.h
   ${GKICK_COMMON_DIR}/kick_graph.h
   ${GKICK_COMMON_DIR}/envelope_widget.h
   ${GKICK_COMMON_DIR}/knob.h
@@ -114,24 +121,31 @@
   ${GKICK_COMMON_DIR}/kit_state.h
   ${GKICK_COMMON_DIR}/oscillator_envelope.h
   ${GKICK_COMMON_DIR}/oscillator_group_box.h
-  ${GKICK_COMMON_DIR}/about.h
+  ${GKICK_COMMON_DIR}/ExportAbstract.h
+  ${GKICK_COMMON_DIR}/ExportSoundData.h
+  ${GKICK_COMMON_DIR}/ExportToSfz.h
   ${GKICK_COMMON_DIR}/export_widget.h
   ${GKICK_COMMON_DIR}/preset.h
   ${GKICK_COMMON_DIR}/preset_folder.h
   ${GKICK_COMMON_DIR}/preset_browser_model.h
   ${GKICK_COMMON_DIR}/preset_browser_view.h
+  ${GKICK_COMMON_DIR}/MidiKeyWidget.h
   ${GKICK_COMMON_DIR}/mainwindow.h)
 
 set(GKICK_COMMON_SOURCES
   ${GKICK_UTILS_DIR}/base64.cpp
+  ${GKICK_COMMON_DIR}/GeonkickConfig.cpp
+  ${GKICK_COMMON_DIR}/UiSettings.cpp
+  ${GKICK_COMMON_DIR}/ViewState.cpp
   ${GKICK_COMMON_DIR}/geonkick_widget.cpp
   ${GKICK_COMMON_DIR}/geonkick_slider.cpp
   ${GKICK_COMMON_DIR}/geonkick_button.cpp
+  ${GKICK_COMMON_DIR}/PathListModel.cpp
   ${GKICK_COMMON_DIR}/file_dialog.cpp
+  ${GKICK_COMMON_DIR}/SampleBrowser.cpp
   ${GKICK_COMMON_DIR}/filter.cpp
   ${GKICK_COMMON_DIR}/geonkick_groupbox.cpp
   ${GKICK_COMMON_DIR}/top_bar.cpp
-  ${GKICK_COMMON_DIR}/right_bar.cpp
   ${GKICK_COMMON_DIR}/control_area.cpp
   ${GKICK_COMMON_DIR}/controls_widget.cpp
   ${GKICK_COMMON_DIR}/percussion_model.cpp
@@ -147,6 +161,7 @@
   ${GKICK_COMMON_DIR}/layers_group_box.cpp
   ${GKICK_COMMON_DIR}/general_group_box.cpp
   ${GKICK_COMMON_DIR}/envelope.cpp
+  ${GKICK_COMMON_DIR}/BufferView.cpp
   ${GKICK_COMMON_DIR}/kick_graph.cpp
   ${GKICK_COMMON_DIR}/envelope_widget.cpp
   ${GKICK_COMMON_DIR}/knob.cpp
@@ -157,11 +172,14 @@
   ${GKICK_COMMON_DIR}/oscillator_envelope.cpp
   ${GKICK_COMMON_DIR}/oscillator_group_box.cpp
   ${GKICK_COMMON_DIR}/export_widget.cpp
-  ${GKICK_COMMON_DIR}/about.cpp
+  ${GKICK_COMMON_DIR}/ExportAbstract.cpp
+  ${GKICK_COMMON_DIR}/ExportSoundData.cpp
+  ${GKICK_COMMON_DIR}/ExportToSfz.cpp
   ${GKICK_COMMON_DIR}/preset.cpp
   ${GKICK_COMMON_DIR}/preset_folder.cpp
   ${GKICK_COMMON_DIR}/preset_browser_model.cpp
   ${GKICK_COMMON_DIR}/preset_browser_view.cpp
+  ${GKICK_COMMON_DIR}/MidiKeyWidget.cpp
   ${GKICK_COMMON_DIR}/mainwindow.cpp)
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
@@ -177,6 +195,8 @@
   list(APPEND GKICK_API_FLAGS "-DGKICK_LIB_LOG_FUNCTION")
   list(APPEND GKICK_API_PLUGIN_FLAGS "-DGKICK_LIB_LOG_LEVEL_DEBUG")
   list(APPEND GKICK_API_PLUGIN_FLAGS "-DGKICK_LIB_LOG_FUNCTION")
+  list(APPEND GKICK_API_PLUGIN_SINGLE_FLAGS "-DGKICK_LIB_LOG_LEVEL_DEBUG")
+  list(APPEND GKICK_API_PLUGIN_SINGLE_FLAGS "-DGKICK_LIB_LOG_FUNCTION")
 endif()
 
 find_package(PkgConfig REQUIRED)
@@ -194,6 +214,7 @@
 endif()
 
 if (GKICK_PLUGIN)
+  list(APPEND GKICK_API_PLUGIN_SINGLE_FLAGS "-DGEONKICK_SINGLE")
   if(CMAKE_SYSTEM_NAME MATCHES Windows)
 	message(STATUS "checking for VST SDK...")
   else()
@@ -201,7 +222,7 @@
 	pkg_check_modules(LV2 lv2)
 	if (NOT LV2_FOUND)
 		message(FATAL_ERROR "can't find LV2 library")
-	endif(NOT LV2_FOUND)
+	      endif(NOT LV2_FOUND)
   endif()
 endif(GKICK_PLUGIN)
 
@@ -253,6 +274,15 @@
   ${GKICK_RC_OUTPUT})
 add_dependencies(geonkick_common gkick_resources)
 
+if (GKICK_PLUGIN)
+    add_library(geonkick_common_single STATIC
+      ${GKICK_COMMON_HEADERS}
+      ${GKICK_COMMON_SOURCES}
+      ${GKICK_RC_OUTPUT})
+    add_dependencies(geonkick_common_single gkick_resources)
+    target_compile_options(geonkick_common_single PUBLIC ${GKICK_API_PLUGIN_SINGLE_FLAGS})
+endif(GKICK_PLUGIN)
+
 message(STATUS "------------ Summary ---------")
 if (GKICK_STANDALONE)
   message(STATUS "Standalone: yes" )
