## geonkick 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.7)
 
-project(geonkick VERSION 2.6.0)
+project(geonkick VERSION 2.7.0)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")
 include(GNUInstallDirs)
@@ -10,11 +10,6 @@
 option(GKICK_PLUGIN "Enable build for plugin" ON)
 if (GKICK_PLUGIN)
   option(GKICK_PLUGIN_LV2 "Enable build LV2 plugin" ON)
-  if (GKICK_VST_SDK_PATH)
-    option(GKICK_PLUGIN_VST "Enable build VST plugin" ON)
-  else(GKICK_VST_SDK_PATH)
-    option(GKICK_PLUGIN_VST "Enable build VST plugin" OFF)
-  endif (GKICK_VST_SDK_PATH)
 endif (GKICK_PLUGIN)
 
 if (NOT CMAKE_BUILD_TYPE)
@@ -62,18 +57,7 @@
 
 if (GKICK_PLUGIN)
   if (CMAKE_SYSTEM_NAME MATCHES Windows)
-      if (GKICK_VST_SDK_PATH)
-          list(APPEND CMAKE_MODULE_PATH "${GKICK_VST_SDK_PATH}/cmake/modules")
-          include(Global)
-          include(AddVST3Library)
-      else(GKICK_VST_SDK_PATH)
-          message(FATAL " GKICK_VST_SDK_PATH was not set")
-      endif(GKICK_VST_SDK_PATH)
-      set(GKICK_VST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/plugin/vst)
   else()
-    if (GKICK_PLUGIN_VST)
-      set(GKICK_VST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/plugin/vst)
-    endif (GKICK_PLUGIN_VST)
     if (GKICK_PLUGIN_LV2)
       set(GKICK_LV2_DIR ${CMAKE_CURRENT_SOURCE_DIR}/plugin/lv2)
     endif (GKICK_PLUGIN_LV2)
@@ -242,9 +226,7 @@
 add_subdirectory(dsp)
 
 if (CMAKE_SYSTEM_NAME MATCHES Windows)
-    include_directories(${GKICK_VST_SDK_PATH})
     include_directories(${GKICK_REDKITE_SDK_PATH}/include)
-    link_directories(${GKICK_VST_SDK_PATH}/build/lib/Debug)
     link_directories(${GKICK_REDKITE_SDK_PATH}/lib)
 else ()
     include_directories(${REDKITE_INCLUDE_DIR})
@@ -296,12 +278,6 @@
   message(STATUS "LV2 plugin: no")
 endif(GKICK_PLUGIN_LV2)
 
-if (GKICK_PLUGIN_VST)
-  message(STATUS "VST plugin: yes" )
-else(GKICK_PLUGIN_VST)
-  message(STATUS "VST plugin: no")
-endif(GKICK_PLUGIN_VST)
-
 if (ENABLE_LOGGING)
   message(STATUS "Debug enabled: yes" )
 else(ENABLE_LOGGING)
