=== plugin/lv2/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
   ${GKICK_COMMON_RESOURCES}
   ${GKICK_LV2_SOURCES})
 
+set_target_properties(geonkick_lv2 PROPERTIES PREFIX "")
 target_link_libraries(geonkick_lv2  geonkick_common api_plugin)
 target_link_libraries(geonkick_lv2 "-lstdc++fs")
 target_link_libraries(geonkick_lv2 "-lredkite -lX11 -lsndfile -lrt -lm -ldl -lpthread -lcairo")
@@ -15,6 +16,7 @@
     ${GKICK_COMMON_HEADERS}
     ${GKICK_COMMON_RESOURCES}
     ${GKICK_LV2_SOURCES})
+  set_target_properties(geonkick_single_lv2 PROPERTIES PREFIX "")
   target_link_libraries(geonkick_single_lv2  geonkick_common_single api_plugin_single)
   target_link_libraries(geonkick_single_lv2 "-lstdc++fs")
   target_link_libraries(geonkick_single_lv2 "-lredkite -lX11 -lsndfile -lrt -lm -ldl -lpthread -lcairo")
