=== debian/changelog ===
geonkick (2.7.2-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release
  * Show Geonkick version in the UI
  * fix crash for standalone when jack server is not running

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 01 Mar 2021 08:02:01 -0800

geonkick (2.7.1-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix release
  * d/control: Build-dep redkite 1.3.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 27 Feb 2021 10:32:36 -0800

geonkick (2.7.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 2.7.0
  * Specify version of redkite in build-deps
  * Now sample rate agnostic

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 16 Dec 2020 09:03:29 -0800

geonkick (2.6.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release 2.6.0
  * Set MDI key popup for instruments
  * Export instrument kit to SFZ
  * 16 stereo channels for standalone
  * Autoconnect ports to system playback for standalone

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 16 Dec 2020 08:40:24 -0800

geonkick (2.5.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release 2.5.1
    - Fix build for some distros (include iomanip)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 09 Dec 2020 09:02:51 -0800
