## geonkick 2.8.0

=== debian/changelog ===
geonkick (2.8.0-0ubuntu1) impish; urgency=medium

  * New upstream release 2.8.0
  * Fix crash when opening multiple GUI for LV2
  * Find rapidjson when configuring at build
  * add musl compatibility patch
  * Add limiter to samples preview
  * Integrate Redkite into Geonkick code

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 07 Jul 2021 17:36:15 +0000

geonkick (2.7.3-0ubuntu1) impish; urgency=medium

  * New upstream release 2.7.3
  * Redkite removed as build-dep, now included in source
  * Fix selection of the last MIDI column in the MIDI key popup
  * Bump copyright date

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 12 Jun 2021 13:20:32 -0700
