=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  lv2-dev,
  pkg-config,
  rapidjson-dev,
- libredkite-dev (>= 1.3.1),
  libsndfile1-dev
 Standards-Version: 4.5.0
 Homepage: https://github.com/iurie-sw/geonkick
