## geonkick 2.9.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,18 @@
 cmake_minimum_required (VERSION 3.7)
 
-project(geonkick VERSION 2.7.2)
+project(geonkick VERSION 2.9.0)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")
 include(GNUInstallDirs)
-include(FindRedkite)
 
 option(GKICK_STANDALONE "Enable build for standalone" ON)
 option(GKICK_PLUGIN "Enable build for plugin" ON)
+
 if (GKICK_PLUGIN)
   option(GKICK_PLUGIN_LV2 "Enable build LV2 plugin" ON)
+  if (GKICK_VST3)
+    option(GKICK_PLUGIN_VST "Enable build VST plugin" ON)
+  endif(GKICK_VST3)
 endif (GKICK_PLUGIN)
 
 if (NOT CMAKE_BUILD_TYPE)
@@ -54,14 +57,16 @@
 set(GKICK_RC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src/resources)
 set(GKICK_STANDALONE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/standalone)
 set(GKICK_UTILS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/utils)
-
-if (GKICK_PLUGIN)
-  if (CMAKE_SYSTEM_NAME MATCHES Windows)
-  else()
+set(GKICK_REDKITE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/redkite)
+
+if (GKICK_PLUGIN)
+    if (GKICK_PLUGIN_VST)
+      set(GKICK_VST_DIR ${CMAKE_CURRENT_SOURCE_DIR}/plugin/vst)
+      set(GKICK_VST_SDK_PATH ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/vst3_sdk)
+    endif (GKICK_PLUGIN_VST)
     if (GKICK_PLUGIN_LV2)
       set(GKICK_LV2_DIR ${CMAKE_CURRENT_SOURCE_DIR}/plugin/lv2)
     endif (GKICK_PLUGIN_LV2)
-  endif()
 endif(GKICK_PLUGIN)
 
 set(GKICK_DATA_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data)
@@ -184,6 +189,7 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
+find_package(RapidJSON REQUIRED)
 pkg_check_modules(SNDFILE sndfile)
 if (NOT SNDFILE_FOUND)
     message(FATAL_ERROR "can't find sndfile library")
@@ -192,7 +198,9 @@
 if (GKICK_STANDALONE)
   pkg_check_modules(JACK jack)
   if (NOT JACK_FOUND)
-    message(FATAL_ERROR "can't find jack library")
+    message(STATUS "can't find jack library")
+    set(GKICK_STANDALONE OFF)
+    set(GKICK_JACK_NOT_FOUND ON)
   endif(NOT JACK_FOUND)
   list(APPEND GKICK_API_FLAGS "-DGEONKICK_AUDIO_JACK")
 endif()
@@ -206,7 +214,7 @@
 	pkg_check_modules(LV2 lv2)
 	if (NOT LV2_FOUND)
 		message(FATAL_ERROR "can't find LV2 library")
-	      endif(NOT LV2_FOUND)
+        endif(NOT LV2_FOUND)
   endif()
 endif(GKICK_PLUGIN)
 
@@ -220,48 +228,28 @@
 endif ()
 
 include_directories(${GKICK_API_DIR}/src)
+include_directories(${GKICK_REDKITE_DIR}/include)
 include_directories(${GKICK_UTILS_DIR})
+link_directories(${CMAKE_BINARY_DIR}/redkite)
+
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 add_definitions(-fPIC)
 add_subdirectory(dsp)
-
-if (CMAKE_SYSTEM_NAME MATCHES Windows)
-    include_directories(${GKICK_REDKITE_SDK_PATH}/include)
-    link_directories(${GKICK_REDKITE_SDK_PATH}/lib)
-else ()
-    include_directories(${REDKITE_INCLUDE_DIR})
-    link_directories(${REDKITE_LIBRARY})
-endif()
-
+add_subdirectory(redkite)
 include(${GKICK_RC_DIR}/resources.rc)
-
-foreach(pngFile ${gkick_rc_png_files})
-  message(STATUS "convert file ${pngFile}")
-  get_filename_component(filename ${GKICK_RC_DIR}/${pngFile} NAME)
-  string(REPLACE "." "_" filename ${filename})
-  string(REPLACE " " "_" filename ${filename})
-  add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/resources/${filename}.c
-    COMMAND mkdir -p ${CMAKE_BINARY_DIR}/resources
-    && rkpng2c "${GKICK_RC_DIR}/${pngFile}" "${CMAKE_BINARY_DIR}/resources/${filename}.c" "rk__${filename}")
-    set(GKICK_RC_OUTPUT ${GKICK_RC_OUTPUT} ${CMAKE_BINARY_DIR}/resources/${filename}.c)
-endforeach()
-
-add_custom_target(gkick_resources ALL DEPENDS ${GKICK_RC_OUTPUT})
 
 include_directories(${GKICK_COMMON_DIR})
 link_directories(${REDKITE_LIBRARY_DIR})
 add_library(geonkick_common STATIC
   ${GKICK_COMMON_HEADERS}
   ${GKICK_COMMON_SOURCES}
-  ${GKICK_RC_OUTPUT})
-add_dependencies(geonkick_common gkick_resources)
+  ${GKICK_RESOURCES})
 
 if (GKICK_PLUGIN)
     add_library(geonkick_common_single STATIC
       ${GKICK_COMMON_HEADERS}
       ${GKICK_COMMON_SOURCES}
-      ${GKICK_RC_OUTPUT})
-    add_dependencies(geonkick_common_single gkick_resources)
+      ${GKICK_RESOURCES})
     target_compile_options(geonkick_common_single PUBLIC ${GKICK_API_PLUGIN_SINGLE_FLAGS})
 endif(GKICK_PLUGIN)
 
@@ -269,7 +257,11 @@
 if (GKICK_STANDALONE)
   message(STATUS "Standalone: yes" )
 else(GKICK_STANDALONE)
-  message(STATUS "Standalone: no")
+  if (GKICK_JACK_NOT_FOUND)
+    message(STATUS "Standalone: no (install jack development library)")
+  else ()
+    message(STATUS "Standalone: no")
+  endif()
 endif(GKICK_STANDALONE)
 
 if (GKICK_PLUGIN_LV2)
@@ -277,6 +269,12 @@
 else(GKICK_PLUGIN_LV2)
   message(STATUS "LV2 plugin: no")
 endif(GKICK_PLUGIN_LV2)
+
+if (GKICK_PLUGIN_VST)
+  message(STATUS "VST plugin: yes" )
+else(GKICK_PLUGIN_VST)
+  message(STATUS "VST plugin: no")
+endif(GKICK_PLUGIN_VST)
 
 if (ENABLE_LOGGING)
   message(STATUS "Debug enabled: yes" )
@@ -290,9 +288,13 @@
 endif (GKICK_STANDALONE)
 
 if (GKICK_PLUGIN)
-	add_subdirectory(plugin)
+  add_subdirectory(plugin)
+  if (GKICK_PLUGIN_VST)
+    add_subdirectory(${GKICK_VST_SDK_PATH})
+  endif(GKICK_PLUGIN_VST)
 endif (GKICK_PLUGIN)
 
 add_subdirectory(data)
 add_subdirectory(presets)
 
+
