=== debian/changelog ===
geonkick (2.9.0+dfsg-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * d/control: bump standards-version
  * d/copyright: bump dates
  * update d/watch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 13 Feb 2022 11:12:26 -0800

geonkick (2.8.0-0ubuntu2) impish; urgency=medium

  * Change install directory of LV2 plugin (LP: #1946779)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 12 Oct 2021 12:40:34 -0700
