=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  pkg-config,
  rapidjson-dev,
  libsndfile1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/iurie-sw/geonkick
 
 Package: geonkick
