=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake

override_dh_auto_install:
	dh_auto_install
	mv debian/geonkick/usr/lib/*/lv2 debian/geonkick/usr/lib/lv2
