## geonkick 2.9.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.7)
 
-project(geonkick VERSION 2.9.0)
+project(geonkick VERSION 2.9.2)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")
 include(GNUInstallDirs)
@@ -26,10 +26,10 @@
 endif ()
 
 if (GKICK_ARCHITECTURE MATCHES x86_64)
-  message(STATUS "set optimisation complier flags for ${GKICK_ARCHITECTURE}")
+  message(STATUS "set optimisation compiler flags for ${GKICK_ARCHITECTURE}")
   set(GKICK_OPTIMISATION_FLAGS "-O3 -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer")
 else ()
-  message(STATUS "set optimisation complier flags for ${GKICK_ARCHITECTURE}")
+  message(STATUS "set optimisation compiler flags for ${GKICK_ARCHITECTURE}")
   set(GKICK_OPTIMISATION_FLAGS "-O3 -ffast-math -fomit-frame-pointer")
 endif ()
 
@@ -57,7 +57,7 @@
 set(GKICK_RC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src/resources)
 set(GKICK_STANDALONE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/standalone)
 set(GKICK_UTILS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/utils)
-set(GKICK_REDKITE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/redkite)
+set(GKICK_REDKITE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/redkite)
 
 if (GKICK_PLUGIN)
     if (GKICK_PLUGIN_VST)
@@ -230,12 +230,12 @@
 include_directories(${GKICK_API_DIR}/src)
 include_directories(${GKICK_REDKITE_DIR}/include)
 include_directories(${GKICK_UTILS_DIR})
-link_directories(${CMAKE_BINARY_DIR}/redkite)
+link_directories(${GKICK_REDKITE_DIR})
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 add_definitions(-fPIC)
 add_subdirectory(dsp)
-add_subdirectory(redkite)
+add_subdirectory(${GKICK_REDKITE_DIR})
 include(${GKICK_RC_DIR}/resources.rc)
 
 include_directories(${GKICK_COMMON_DIR})
