=== debian/changelog ===
geonkick (2.9.2+dfsg-0ubuntu1) mantic; urgency=medium

  * New upstream release 2.9.2+dfsg
    - Just bug fixes
  * d/control: bump standards-version
  * d/copyright: bump dates

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 20 Aug 2023 09:56:50 -0700
